## org.apache.lucene.search.function
Class FieldScoreQuery.Type

    java.lang.Object
      org.apache.lucene.search.function.FieldScoreQuery.Type

Enclosing class:
  FieldScoreQuery

    public static class FieldScoreQuery.Type

extends java.lang.Object

Type of score field, indicating how field values are interpreted/parsed.

The type selected at search search time should match the data stored in the field. Different types have different RAM requirements:

- `BYTE` consumes 1 * maxDocs bytes.
- `SHORT` consumes 2 * maxDocs bytes.
- `INT` consumes 4 * maxDocs bytes.
- `FLOAT` consumes 8 * maxDocs bytes.

Field Summary
`static FieldScoreQuery.Type` `BYTE` field values are interpreted as numeric byte values.
`static FieldScoreQuery.Type` `FLOAT` field values are interpreted as numeric float values.
`static FieldScoreQuery.Type` `INT` field values are interpreted as numeric int values.
`static FieldScoreQuery.Type` `SHORT` field values are interpreted as numeric short values.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BYTE

    public static final FieldScoreQuery.Type BYTE

  field values are interpreted as numeric byte values.

### SHORT

    public static final FieldScoreQuery.Type SHORT

  field values are interpreted as numeric short values.

### INT

    public static final FieldScoreQuery.Type INT

  field values are interpreted as numeric int values.

### FLOAT

    public static final FieldScoreQuery.Type FLOAT

  field values are interpreted as numeric float values.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.